package cn.iocoder.yudao.module.system.dal.mysql.robot;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotModelPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotModelDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 车辆类型 Mapper
 *
 * @author 陈宾顺
 */
@Mapper
public interface RobotModelMapper extends BaseMapperX<RobotModelDO> {

    default PageResult<RobotModelDO> selectPage(RobotModelPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RobotModelDO>()
                .eqIfPresent(RobotModelDO::getRobotModelNumber, reqVO.getRobotModelNumber())
                .eqIfPresent(RobotModelDO::getRobotOffset, reqVO.getRobotOffset())
                .betweenIfPresent(RobotModelDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(RobotModelDO::getId));
    }

}